/*+*****************************************************************************
*                                                                              *
* File: xmd.c                                                                  *
*                                                                              *
* Description: machine dependent declarations for the X protocol               *
*                                                                              *
**-****************************************************************************/

#ifndef __lint
char xmd_vers[] = "@(#)xmd.c	1.2	01/05/98	Written by Lionel Cons";
#endif /* __lint */

/******* Include Files ********************************************************/

#include <stdio.h>
#include "xmd.h"

/******* Constants ************************************************************/

/******* Macros ***************************************************************/

/******* External Stuff *******************************************************/

/******* Local Stuff **********************************************************/

int main()
{
  U8BITS  c8;
  U16BITS c16;
  U32BITS c32;

  /*
   * check what we have in C
   */
  fprintf(stdout, "sizeof short  = %d\n", sizeof(short));
  fprintf(stdout, "sizeof int    = %d\n", sizeof(int));
  fprintf(stdout, "sizeof long   = %d\n", sizeof(long));
  fprintf(stdout, "sizeof void * = %d\n", sizeof(void *));

  /*
   * check if we have the proper sizes
   */
  fprintf(stdout, "sizeof CARD8  = %d\n", sizeof(c8));
  fprintf(stdout, "sizeof CARD16 = %d\n", sizeof(c16));
  fprintf(stdout, "sizeof CARD32 = %d\n", sizeof(c32));
}
